osl::rating::RatedMoveVector Class Reference

`#include <ratedMoveVector.h>`

Inheritance diagram for osl::rating::RatedMoveVector:

## Public Member Functions

void | sort ()
| ratingが高い順にsort
const RatedMove * | find (Move) const
Public Member Functions inherited from osl::FixedCapacityVector< RatedMove, Move::MaxUniqMoves >
| FixedCapacityVector ()
| FixedCapacityVector (size_t size)
| FixedCapacityVector (FixedCapacityVector const &rhs)
| FixedCapacityVector (const RangeIterator &first, const RangeIterator &last)
| ~FixedCapacityVector ()
FixedCapacityVector & | operator= (FixedCapacityVector const &rhs)
RatedMove & | operator[] (size_t i)
iterator | begin ()
iterator | end ()
RatedMove & | front ()
RatedMove & | back ()
void | push_back (const RatedMove &e)
void | push_back (const RangeIterator &first, const RangeIterator &last)
void | pop_back ()
void | clear ()
void | resize (size_t new_length)
void | erase (const RatedMove &e)
void | unique ()
| 重複する要素を取り除く
size_t | size () const
bool | empty () const
size_t | capacity () const
RatedMove const & | operator[] (size_t i) const
const_iterator | begin () const
const_iterator | end () const
const RatedMove & | front () const
const RatedMove & | back () const
bool | isMember (const RatedMove &e, const_iterator first, const_iterator last) const
bool | isMember (const RatedMove &e) const
detail::FixedCapacityVectorPushBack< RatedMove > | pushBackHelper ()

## Private Types

typedef RatedMoveVectorBase | base_t

## Additional Inherited Members

Public Types inherited from osl::FixedCapacityVector< RatedMove, Move::MaxUniqMoves >
typedef array_t::value_type | value_type
typedef array_t::iterator | iterator
typedef array_t::const_iterator | const_iterator
Protected Types inherited from osl::FixedCapacityVector< RatedMove, Move::MaxUniqMoves >
typedef Array | array_t
Protected Attributes inherited from osl::FixedCapacityVector< RatedMove, Move::MaxUniqMoves >
RatedMove * | ptr
CArray< int64_t,(sizeof(RatedMove[Capacity])+sizeof(int64_t) -1)/sizeof(int64_t)> | relements

## Detailed Description

Definition at line 16 of file ratedMoveVector.h.

## Member Typedef Documentation

## base_t

typedef RatedMoveVectorBase osl::rating::RatedMoveVector::base_t

private

Definition at line 18 of file ratedMoveVector.h.

## Member Function Documentation

## find()

const osl::rating::RatedMove * osl::rating::RatedMoveVector::find | ( | Move | m | ) | const

Definition at line 30 of file ratedMoveVector.cc.

References osl::FixedCapacityVector< RatedMove, Move::MaxUniqMoves >::begin(), and osl::FixedCapacityVector< RatedMove, Move::MaxUniqMoves >::end().

## sort()

void osl::rating::RatedMoveVector::sort | ( |  | ) |

ratingが高い順にsort

Definition at line 25 of file ratedMoveVector.cc.

References osl::FixedCapacityVector< RatedMove, Move::MaxUniqMoves >::begin(), and osl::FixedCapacityVector< RatedMove, Move::MaxUniqMoves >::end().

Referenced by osl::rating::FeatureSet::generateRating().

The documentation for this class was generated from the following files:

- ratedMoveVector.h
- ratedMoveVector.cc